解决帝国cms(EmpireCMS)在安装时出现mysql数据库显示不支持的办法(帝国cms如何支持PHP7.X)

[全站通告]付费处理问题,非诚勿扰,付出才有收获;有意加微信 2589053300 进行沟通处理

本文最后更新于:2021.02.14 22:17,某些文章或链接具时效性,若有错误或失效,请在下方留言或微信老梁详询

今天在安装帝国cms的时候,竟然提示mysql不支持,这岂不是见鬼了,难道哪里有问题吗?可明明我刚安装了一个帝国哇,都支持,这个为啥不支持呢?难道跟哪里有关系呢?具体错误请看:(MYSQL 不支持 ×)

网上解决此问题的也是各种不一,啥样的都有,其实问题出现出现在php版本上;

解决办法:

只需要更换帝国所在网址下的PHP版本即可;比如5.6版本

再看,是不是已经OK了,其实就是PHP版本闹的,更换版本即可解决问题;

如果亲非想使用高版本的PHP(比如7.X)那如何使用呢?

在帝国目录中,找到 /e/config/config.php  找到数据库信息 mysql 变成mysqli即可  如下:

//数据库设置
$ecms_config['db']['usedb']='mysql'; //数据库类型

变成

//数据库设置
$ecms_config['db']['usedb']='mysqli'; //数据库类型

 

付费处理问题,非诚勿扰,付出才有收获;有意加微信2589053300 --更多请关注:老梁`s Blog

所写所说,是心之所感,思之所悟,行之所得;文当无敷衍,落笔求简洁。 以所舍,求所获;有所依,方所成!

支付宝赞助
微信赞助

免责声明,若由于商用引起版权纠纷,一切责任均由使用者承担。

您必须遵守我们的协议,如您下载该资源,行为将被视为对《免责声明》全部内容的认可->联系老梁投诉资源
LaoLiang.Net部分资源来自互联网收集,仅供用于学习和交流,请勿用于商业用途。如有侵权、不妥之处,请联系站长并出示版权证明以便删除。 敬请谅解! 侵权删帖/违法举报/投稿等事物联系邮箱:service@laoliang.net
意在交流学习,欢迎赞赏评论,如有谬误,请联系指正;转载请注明出处: » 解决帝国cms(EmpireCMS)在安装时出现mysql数据库显示不支持的办法(帝国cms如何支持PHP7.X)

6 评论

  1. 请问,我现在使用的是apache2.4+php5.6.14+mysql5.6.49,为什么mysql还是显示不支持呢

    1. @dd: 你看下你的帝国配置文件是mysql还是mysqli 注意后面多了一个i,或者你现在报错是啥?

      1. @老梁: 没有报错,mysql显示不支持。您说的具体是哪个配置文件?文件路径是多少?

        1. @dd: e/class/config.php 这个文件里,就是看下数据库连接文件,是不是更改了链接,注意我上一个回答的多了一个i

          1. @老梁: 是这条语句?$ecms_config[db][userdb]=mysql。如果是的话没有i

          2. @老梁: 那你在mysql的l后加入一个i你在试试呢?或者说你是不是权限也没给够~~~

发表评论

本站承接,网站推广(SEM,SEO);软件安装与调试;服务器或网络推荐及配置;APP开发与维护;网站开发修改及维护; 各财务软件安装调试及注册服务(金蝶,用友,管家婆,速达,星宇等);同时也有客户管理系统,人力资源,超市POS,医药管理等;

立即查看 了解详情